v1.0.0
OpenAPI 3.1.0

Create a component

US region

Client Libraries

Create a component

Creates a custom component.

Body
required
application/json
  • content
    Type: string
    required

    HTML content

  • name
    Type: string
    min length:  
    1
    max length:  
    255
    required

    Display name of the component. You see this on your Design Studio dashboard. This may be different from the component tag name.

  • tag
    Type: string
    required

    The component tag name, used to reference your component in an email. Learn what characters you can use.

  • parent_folder_id
    Type: string | nullFormat: uuid

    UUID of the parent folder. Omit or pass null to create in the root directory.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/design_studio/components
curl https://api.customer.io/v1/design_studio/components \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Custom footer",
  "tag": "custom-footer",
  "parent_folder_id": null,
  "content": ""
}'
{
  "component": {
    "id": "e89b-12d3",
    "name": "Custom footer",
    "tag": "custom-footer",
    "parent_folder_id": "123e4567-e89b-12d3-a456-426614174000",
    "created": 1773856017,
    "updated": 1,
    "content": "string"
  }
}